<?php

$classic_cosmetics_first_color = get_theme_mod('classic_cosmetics_first_color');
$classic_cosmetics_color_scheme_css = '';


/*------------------ Global First Color -----------*/

if ($classic_cosmetics_first_color) {
  $first_color_rgb = implode(',', sscanf($classic_cosmetics_first_color, "#%02x%02x%02x"));
  $classic_cosmetics_color_scheme_css .= ':root {';
  $classic_cosmetics_color_scheme_css .= '--first-theme-color: ' . esc_attr($classic_cosmetics_first_color) . ' !important;';
  $classic_cosmetics_color_scheme_css .= '--first-theme-color-rgb: ' . esc_attr($first_color_rgb) . ';';
  $classic_cosmetics_color_scheme_css .= '} ';
}
  
//---------------------------------Logo-Max-height--------- 
$classic_cosmetics_logo_width = get_theme_mod('classic_cosmetics_logo_width');

if($classic_cosmetics_logo_width != false){

$classic_cosmetics_color_scheme_css .='.classic-cosmetics-logo img{';

  $classic_cosmetics_color_scheme_css .='width: '.esc_html($classic_cosmetics_logo_width).'px;';

$classic_cosmetics_color_scheme_css .='}';
}

/*---------------------------Slider Height ------------*/

$classic_cosmetics_slider_img_height = get_theme_mod('classic_cosmetics_slider_img_height');
if($classic_cosmetics_slider_img_height != false){
    $classic_cosmetics_color_scheme_css .='.slidesection img{';
        $classic_cosmetics_color_scheme_css .='height: '.esc_attr($classic_cosmetics_slider_img_height).' !important;';
    $classic_cosmetics_color_scheme_css .='}';
}

/*--------------------------- Footer background image -------------------*/

$classic_cosmetics_footer_bg_image = get_theme_mod('classic_cosmetics_footer_bg_image');
if($classic_cosmetics_footer_bg_image != false){
    $classic_cosmetics_color_scheme_css .='.footer-widget{';
        $classic_cosmetics_color_scheme_css .='background: url('.esc_attr($classic_cosmetics_footer_bg_image).');';
        $classic_cosmetics_color_scheme_css .= 'background-size: cover;';    
    $classic_cosmetics_color_scheme_css .='}';
}

/*--------------------------- Footer image position -------------------*/

$classic_cosmetics_footer_img_position = get_theme_mod('classic_cosmetics_footer_img_position','center center');
if($classic_cosmetics_footer_img_position != false){
    $classic_cosmetics_color_scheme_css .='.footer-widget{';
        $classic_cosmetics_color_scheme_css .='background-position: '.esc_attr($classic_cosmetics_footer_img_position).';';
    $classic_cosmetics_color_scheme_css .='}';
}	

/*--------------------------- Scroll to top positions -------------------*/

$classic_cosmetics_scroll_position = get_theme_mod( 'classic_cosmetics_scroll_position','Right');
if($classic_cosmetics_scroll_position == 'Right'){
    $classic_cosmetics_color_scheme_css .='#button{';
        $classic_cosmetics_color_scheme_css .='right: 20px;';
    $classic_cosmetics_color_scheme_css .='}';
}else if($classic_cosmetics_scroll_position == 'Left'){
    $classic_cosmetics_color_scheme_css .='#button{';
        $classic_cosmetics_color_scheme_css .='left: 20px;';
    $classic_cosmetics_color_scheme_css .='}';
}else if($classic_cosmetics_scroll_position == 'Center'){
    $classic_cosmetics_color_scheme_css .='#button{';
        $classic_cosmetics_color_scheme_css .='right: 50%;left: 50%;';
    $classic_cosmetics_color_scheme_css .='}';
}

/*--------------------------- Woocommerce Product Image Border Radius -------------------*/

$classic_cosmetics_woo_product_img_border_radius = get_theme_mod('classic_cosmetics_woo_product_img_border_radius');
if($classic_cosmetics_woo_product_img_border_radius != false){
    $classic_cosmetics_color_scheme_css .='.woocommerce ul.products li.product a img{';
        $classic_cosmetics_color_scheme_css .='border-radius: '.esc_attr($classic_cosmetics_woo_product_img_border_radius).'px;';
    $classic_cosmetics_color_scheme_css .='}';
}

/*--------------------------- Woocommerce Product Sale Position -------------------*/    

$classic_cosmetics_product_sale_position = get_theme_mod( 'classic_cosmetics_product_sale_position','Left');
if($classic_cosmetics_product_sale_position == 'Right'){
    $classic_cosmetics_color_scheme_css .='.woocommerce ul.products li.product .onsale{';
        $classic_cosmetics_color_scheme_css .='left:auto !important; right:0 !important;';
    $classic_cosmetics_color_scheme_css .='}';
}else if($classic_cosmetics_product_sale_position == 'Left'){
    $classic_cosmetics_color_scheme_css .='.woocommerce ul.products li.product .onsale {';
        $classic_cosmetics_color_scheme_css .='right:auto !important; left:0 !important;';
    $classic_cosmetics_color_scheme_css .='}';
}    

/*--------------------------- Shop page pagination -------------------*/

$classic_cosmetics_wooproducts_nav = get_theme_mod('classic_cosmetics_wooproducts_nav', 'Yes');
if($classic_cosmetics_wooproducts_nav == 'No'){
  $classic_cosmetics_color_scheme_css .='.woocommerce nav.woocommerce-pagination{';
    $classic_cosmetics_color_scheme_css .='display: none;';
  $classic_cosmetics_color_scheme_css .='}';
}

/*--------------------------- Related Product -------------------*/

$classic_cosmetics_related_product_enable = get_theme_mod('classic_cosmetics_related_product_enable',true);
if($classic_cosmetics_related_product_enable == false){
  $classic_cosmetics_color_scheme_css .='.related.products{';
    $classic_cosmetics_color_scheme_css .='display: none;';
  $classic_cosmetics_color_scheme_css .='}';
}

/*--------------------------- Scroll to Top Button Shape -------------------*/

$classic_cosmetics_scroll_top_shape = get_theme_mod('classic_cosmetics_scroll_top_shape', 'circle');
if($classic_cosmetics_scroll_top_shape == 'box' ){
    $classic_cosmetics_color_scheme_css .='#button{';
        $classic_cosmetics_color_scheme_css .=' border-radius: 0%';
    $classic_cosmetics_color_scheme_css .='}';
}elseif($classic_cosmetics_scroll_top_shape == 'curved' ){
    $classic_cosmetics_color_scheme_css .='#button{';
        $classic_cosmetics_color_scheme_css .=' border-radius: 20%';
    $classic_cosmetics_color_scheme_css .='}';
}elseif($classic_cosmetics_scroll_top_shape == 'circle' ){
    $classic_cosmetics_color_scheme_css .='#button{';
        $classic_cosmetics_color_scheme_css .=' border-radius: 50%;';
    $classic_cosmetics_color_scheme_css .='}';
}

/*--------------------------- Menu Typography -------------------*/

$classic_cosmetics_theme_lay = get_theme_mod( 'classic_cosmetics_menu_text_transform','Capitalize');
if($classic_cosmetics_theme_lay == 'Uppercase'){
    $classic_cosmetics_color_scheme_css .='.main-nav a{';
        $classic_cosmetics_color_scheme_css .='text-transform: uppercase;';
    $classic_cosmetics_color_scheme_css .='}';
}else if($classic_cosmetics_theme_lay == 'Lowercase'){
    $classic_cosmetics_color_scheme_css .='.main-nav a{';
        $classic_cosmetics_color_scheme_css .='text-transform: lowercase;';
    $classic_cosmetics_color_scheme_css .='}';
}
else if($classic_cosmetics_theme_lay == 'Capitalize'){
    $classic_cosmetics_color_scheme_css .='.main-nav a{';
        $classic_cosmetics_color_scheme_css .='text-transform: capitalize;';
    $classic_cosmetics_color_scheme_css .='}';
}

/*--------------------------- Post Layout -------------------*/

$classic_cosmetics_blog_layouts = get_theme_mod('classic_cosmetics_blog_layout_option_setting', 'Left');
if ($classic_cosmetics_blog_layouts == 'Left') {
    $classic_cosmetics_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_cosmetics_color_scheme_css .= 'text-align:left;';
    $classic_cosmetics_color_scheme_css .= '}';
} elseif ($classic_cosmetics_blog_layouts == 'Center') {
    $classic_cosmetics_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_cosmetics_color_scheme_css .= 'text-align:center;';
    $classic_cosmetics_color_scheme_css .= '}';
} elseif ($classic_cosmetics_blog_layouts == 'Right') {
    $classic_cosmetics_color_scheme_css .= '.postsec-list .listarticle{';
    $classic_cosmetics_color_scheme_css .= 'text-align:right;';
    $classic_cosmetics_color_scheme_css .= '}';
}